### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
LastFixingQuote Class Reference

Quote adapter for the last fixing available of a given Index. More...

`#include <ql/quotes/lastfixingquote.hpp>`

Inheritance diagram for LastFixingQuote:
[legend]

List of all members.

## Public Member Functions

| LastFixingQuote (const boost::shared_ptr< Index > &index)
Quote interface
Real | value () const
| returns the current value
bool | isValid () const
| returns true if the Quote holds a valid value
Observer interface
void | update ()
LastFixingQuote interface
const boost::shared_ptr< Index > & | index () const
Date | referenceDate () const

## Protected Attributes

boost::shared_ptr< Index > | index_

## Detailed Description

Quote adapter for the last fixing available of a given Index.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Implements Observer.